[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 112: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 112: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 112: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4705: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3838)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4707: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3838)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4708: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3838)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4709: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3838)
forum-ultracopier.first-world.info • View topic - Can't manually add copy/move
[ Forum ]

Can't manually add copy/move

Help Ultracopier/Supercopier by reporting your bug

Can't manually add copy/move

Postby dnarz » Sun Sep 27, 2015 3:08 pm

Running Linux Mint (Ubuntu 14.04), successfully compiled following the wiki, and purchased a key. I can start UltraCopier, I get a warning that "No copy listener found. Do the copy manually by right click on the system trey icon" and an icon in they system trey. However, when I right-click the icon, the option "Add copy/moving" is grayed out and I can't select it. In the options, "Copy engine by order of preference:" is blank.
Under Plugins, I have:
Copy Engine: Ultracopier 1.0.0.0
Listener: catchcopy 1.0.0.0, dbus 1.0.0.0
Plugin loader: catchcopy 1.0.0.0
Session loader: KDE4 1.0.0.0
Themes: Oxygen 1.0.0.0

Both "Plugin loader" and "Session loader" in the options are grayed out.

Any idea what I'm missing or doing wrong?
dnarz
 
Posts: 4
Joined: Sun Sep 27, 2015 4:00 am

Re: Can't manually add copy/move

Postby alpha_one_x86 » Sun Sep 27, 2015 6:18 pm

Sean not plugin is detected, have you correctly installed it?
Can you send me the bug report?
You can try compile the static version too.
Developer of / and of the game
User avatar
alpha_one_x86
Site Admin
 
Posts: 1246
Joined: Sun Oct 26, 2008 9:09 am

Re: Can't manually add copy/move

Postby dnarz » Sun Sep 27, 2015 9:02 pm

I compiled ultracopier-core.pro correctly I think. It runs with no errors, so I can't do a bug report.

On the wiki, it says "For the plugin - Do the same as the main application above." But I didn't know what that meant. There is not a plugin file that ends in .pro. Do I need to compile the plugin with qmake? What is the command to compile the plugin?

Thanks!
dnarz
 
Posts: 4
Joined: Sun Sep 27, 2015 4:00 am

Re: Can't manually add copy/move

Postby dnarz » Sun Sep 27, 2015 9:22 pm

Tried the static version. qmake works, but after I run make I get (near the end):

g++ -m64 -Wl,-O1 -o ultracopier ThemesManager.o ResourcesManager.o main.o EventDispatcher.o SystrayIcon.o DebugEngine.o OptionEngine.o HelpDialog.o PluginsManager.o LanguagesManager.o PluginInformation.o SessionLoader.o ExtraSocket.o CopyListener.o CopyEngineManager.o Core.o PluginLoader.o OptionDialog.o LocalPluginOptions.o LocalListener.o CliParser.o FacilityEngine.o LogThread.o OSSpecific.o DebugModel.o InternetUpdater.o qrc_ultracopier-resources.o qrc_ultracopier-resources_unix.o qrc_ultracopier-resources_windows.o qrc_static-plugins.o qrc_copyEngineResources.o qrc_static-plugins-oxygen.o qrc_interfaceResources_windows.o qrc_interfaceResources_unix.o qrc_interfaceResources.o moc_ResourcesManager.o moc_ThemesManager.o moc_SystrayIcon.o moc_EventDispatcher.o moc_DebugEngine.o moc_Core.o moc_OptionEngine.o moc_HelpDialog.o moc_PluginsManager.o moc_LanguagesManager.o moc_PluginInformation.o moc_SessionLoader.o moc_CopyListener.o moc_CopyEngineManager.o moc_PluginInterface_Themes.o moc_PluginInterface_SessionLoader.o moc_PluginInterface_Listener.o moc_PluginInterface_CopyEngine.o moc_OptionInterface.o moc_PluginLoader.o moc_PluginInterface_PluginLoader.o moc_OptionDialog.o moc_LocalPluginOptions.o moc_LocalListener.o moc_CliParser.o moc_FacilityEngine.o moc_LogThread.o moc_OSSpecific.o moc_InternetUpdater.o -L/usr/X11R6/lib64 -Lplugins -lcopyEngine -linterface -llistener -lQt5Widgets -L/usr/lib/x86_64-linux-gnu -lQt5Xml -lQt5Network -lQt5Gui -lQt5Core -lGL -lpthread
/usr/bin/ld: cannot find -lcopyEngine
/usr/bin/ld: cannot find -linterface
/usr/bin/ld: cannot find -llistener
collect2: error: ld returned 1 exit status
make: *** [ultracopier] Error 1
dnarz
 
Posts: 4
Joined: Sun Sep 27, 2015 4:00 am

Re: Can't manually add copy/move

Postby alpha_one_x86 » Sun Sep 27, 2015 9:42 pm

Developer of / and of the game
User avatar
alpha_one_x86
Site Admin
 
Posts: 1246
Joined: Sun Oct 26, 2008 9:09 am

Re: Can't manually add copy/move

Postby alpha_one_x86 » Sun Sep 27, 2015 9:42 pm

Developer of / and of the game
User avatar
alpha_one_x86
Site Admin
 
Posts: 1246
Joined: Sun Oct 26, 2008 9:09 am

Re: Can't manually add copy/move

Postby dnarz » Mon Sep 28, 2015 2:08 am

Thank you! Very helpful. However, now when I try to compile CopyEngine I get:

user@machine ~/Downloads/ultracopier/ultracopier-src/plugins/CopyEngine/Ultracopier $ qmake CopyEngine.pro
user@machine ~/Downloads/ultracopier/ultracopier-src/plugins/CopyEngine/Ultracopier $ make
/usr/lib/x86_64-linux-gnu/qt5/bin/uic ../Ultracopier/fileErrorDialog.ui -o ui_fileErrorDialog.h
/usr/lib/x86_64-linux-gnu/qt5/bin/uic ../Ultracopier/fileExistsDialog.ui -o ui_fileExistsDialog.h
/usr/lib/x86_64-linux-gnu/qt5/bin/uic ../Ultracopier/fileIsSameDialog.ui -o ui_fileIsSameDialog.h
/usr/lib/x86_64-linux-gnu/qt5/bin/uic ../Ultracopier/debugDialog.ui -o ui_debugDialog.h
/usr/lib/x86_64-linux-gnu/qt5/bin/uic ../Ultracopier/folderExistsDialog.ui -o ui_folderExistsDialog.h
/usr/lib/x86_64-linux-gnu/qt5/bin/uic ../Ultracopier/Filters.ui -o ui_Filters.h
/usr/lib/x86_64-linux-gnu/qt5/bin/uic ../Ultracopier/FilterRules.ui -o ui_FilterRules.h
/usr/lib/x86_64-linux-gnu/qt5/bin/uic ../Ultracopier/RenamingRules.ui -o ui_RenamingRules.h
/usr/lib/x86_64-linux-gnu/qt5/bin/uic ../Ultracopier/copyEngineOptions.ui -o ui_copyEngineOptions.h
/usr/lib/x86_64-linux-gnu/qt5/bin/uic ../Ultracopier/DiskSpace.ui -o ui_DiskSpace.h
g++ -c -m64 -pipe -O2 -Wall -W -D_REENTRANT -fPIC -DUNICODE -D_UNICODE -DQT_NO_DEBUG -DQT_PLUGIN -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I/usr/lib/x86_64-linux-gnu/qt5/mkspecs/linux-g++-64 -I. -I/usr/include/qt5 -I/usr/include/qt5/QtWidgets -I/usr/include/qt5/QtGui -I/usr/include/qt5/QtCore -I. -I. -o TransferThread.o ../Ultracopier/TransferThread.cpp
In file included from ../Ultracopier/TransferThread.h:37:0,
from ../Ultracopier/TransferThread.cpp:4:
../Ultracopier/DriveManagement.h:8:24: fatal error: QStorageInfo: No such file or directory
#include <QStorageInfo>
^
compilation terminated.
make: *** [TransferThread.o] Error 1
dnarz
 
Posts: 4
Joined: Sun Sep 27, 2015 4:00 am

Re: Can't manually add copy/move

Postby alpha_one_x86 » Mon Sep 28, 2015 2:15 am

You need Qt 5.5+, Qt5.0-5.4 is not compatible mostly for this.
http://doc.qt.io/qt-5/qstorageinfo.html
Developer of / and of the game
User avatar
alpha_one_x86
Site Admin
 
Posts: 1246
Joined: Sun Oct 26, 2008 9:09 am


Return to Bug



cron